Subject: bug#17516: [PATCH] grep: no count newline at the head of a text buffer

From: Jim Meyering <[email-masked]>
Date: Wed, 21 May 2014 21:55:30 -0700

On Wed, May 21, 2014 at 9:52 PM, Eric Blake <[email-masked]> wrote:
> On 05/21/2014 10:34 PM, Jim Meyering wrote:
>> On Sat, May 17, 2014 at 3:59 PM, Norihiro Tanaka <[email-masked]> wrote:
>>> Thanks for the review and push.
>>>
>>> I also submit a test case for this bug.  It fails in grep-2.18.146-ebf3,
>>> and succeeds in current master.
>>
>> Thanks again.
>> However, that new test made it so "make syntax-check" would fail.
>> I've suppressed that new failure via the attached:
>
> It's also possible to rewrite the line:
>
> grep -f in 'in' >out || fail=1
>
> so as to avoid needing the suppression (I'm not sure which is prettier).

Thanks for the suggestion.
Since this is a false-positive after all, I prefer to keep the
work-around out of the primary source file, even if that
means exempting this entire file from that one syntax-check.
It is unlikely to matter.